/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.manager;

/**
 * IActionBarListener
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 10. 10.]   [최초 작성]
 * @since 2018. 10. 10.
 */


import android.support.v7.app.ActionBar;

/**
 * 필요 이벤트
 * <p>
 * -> back, title button, search, menu, like, bookmark, share
 */
public interface IActionBarListener {
  void onClickBack(ActionBar actionBar);

  void onClickTitle(ActionBar actionBar);

  void onClickSearch(ActionBar actionBar);

  void onClickMenu(ActionBar actionBar);

  void onClickLike(ActionBar actionBar);

  void onClickBookmark(ActionBar actionBar);

  void onClickShare(ActionBar actionBar);
}
